html{
    font-size:20px;
    font-family: 'Raleway', sans-serif;
}
h2{
    font-size:1.5rem;
    padding-bottom: 18px;
    border-bottom:1px solid #E2E2E2;

}
body, ul, li,p{
    margin:0;
    padding:0;
}
.container{
    width:80%;
    margin:0 auto;
}
.main{
    display:flex;
    flex-direction: row;
    justify-content: space-between; 
}
.sidepart{
    width:33%;
    display:flex;
    flex-direction: column;
    font-size: 0.8rem;
}
.mainpart{
    width:65%;
    display:flex;
    flex-direction: column;
    font-size: 0.8rem;
}

.sidepart__reg, .mainpart__blocks-block1, .mainpart__blocks-block2,.mainpart__blocks-block4{
    display: flex;
    align-items: center;
    height:113px;
    background-color:#F0F2F5;
    margin-block-end: 1.3rem;

}
.sidepart__reg-gen,.mainpart__blocks-block1-gen,.mainpart__blocks-block2-gen, .mainpart__blocks-block4-gen{
    box-sizing: border-box;
    padding-left:5%;
    padding-right: 5%;


}
.sidepart__reg-gen-text, .mainpart__blocks-block2-gen-text, .mainpart__blocks-block1-gen-text, .mainpart__blocks-block4-gen-text,.mainpart__blocks-block3-gen-text{
    font-size:1rem;
    padding-bottom: 3%;
    font-weight: bold;
}

details summary {
    font-size: 1rem;
    font-weight: bold;
    padding-bottom: 20px;
}
details{
    font-size: .7rem;
    background-color:#F0F2F5;
    padding-top: 20px;
    padding-bottom: 20px;
    padding-left: 20px;
}
.sidepart__reg-pidel label{
    padding-left: 20px;
    padding-bottom: 10px;
    display: inline-block;
}
.sidepart__reg-pidel-userinfo,.sidepart__reg-pidel-deliveryinfo{
    margin-bottom: 20px;
}
.sidepart__reg-pidel input{
    padding:11px 20px;
    width:384px;
    box-sizing: border-box;
    margin-left: 20px;
}
.mainpart__blocks-block4{
    background-color:#F0F2F5;
    height:318px;
}
.mainpart__blocks-block4-gen{
    background-color:#F0F2F5;
    width:100%;
    display: flex;
    flex-direction: column;
    padding-bottom: 20px;
    padding-top:20px;
    margin-block-start: 3rem;   
}
.mainpart__blocks-block4 input[type="text"]{
    padding-left: 10px;
    height:86px;
    width:100%;
    color:#ADA8A8;
    font-size: .7rem;
}
.btn{
    float:right;
    border: 2px solid #946FD3;
    border-radius: 50px; 
    background-color:#946FD3;
    width:206px;
    padding:20px 0;
    color: white;
    font-weight: bold;
    font-size: 0.8rem;
    transition:all .5s;
    margin-top: 64px;
}
.btn:active{
    background-color:white;
    color:#946FD3;
    border-color:#946FD3;
}
.mainpart__blocks-block1-gen-inputs-text01,.mainpart__blocks-block1-gen-inputs-textfield{
    display: block;
    padding-bottom:10px;
    box-sizing: border-box;
}
.table{
    width:100%;
    border-spacing:0;
    font-size: .7rem;
    margin-bottom: 2rem;
}
.table th{
    text-transform: uppercase;
    height:41px;
    background-color:#F0F2F5;
    padding:0;
    font-weight: bold;
    
}
.table td{
    text-align: center;
    height:58px;
    padding-left:1%;
    padding-right:1%;

}
.caps{
    text-transform: uppercase;
    font-weight: bold;
}
td.caps{
    text-align: right;
    padding-right:5%;
}
td.last{
    text-align: left;
    padding-left: 5%;
    font-size: .8rem;
}
td.correct{
    font-size: .7rem;
}
td.items{
    display: flex;
    flex-direction:row;
    width: 70%;
    padding-left: 15%;
}
td.items div{
    width:33px;
    height:33px;
    margin: auto;
}
.red{
    background-color: red;
    position: relative;
    
}
.violet{
    background-color: #946FD3;
    position: relative;
}
.items input{
    box-sizing: border-box;
    width:33px;
    height:33px;
    padding: 1;

}
th.last{
    text-align: left;
    padding-left: 5%;
}
.xxx{
    position:absolute;
    right: 35%;
    top: 35%;
    margin: 0;
}
.errow1{
    position:absolute;
    right: 30%;
    top: 50%;
    margin: 0;
}
.errow2{
    position:absolute;
    right: 30%;
    top: 30%;
    margin: 0;
}

input[type='radio'],
label {
  cursor: pointer;
}

input[type='radio'] {
  position: relative;
  height: 12px;
  width: 12px;
  -webkit-appearance: none;
  -moz-appearance: none;
  appearance: none;
  outline: none;
}

input[type='radio']::before {
  content: '';
  position: absolute;
  top: 50%;
  left: 50%;
  width: 12px;
  height: 12px;
  border-radius: 50%;
  transform: translate(-50%, -50%);
  background-color: white;
  border: 1px solid #946FD3;
}

input[type='radio']:checked::after {
  content: '';
  position: absolute;
  top: 50%;
  left: 50%;
  width: 9px;
  height: 9px;
  border-radius: 50%;
  background-color: #946FD3;
  transform: translate(-50%, -50%);
  visibility: visible;
}